[FIXED] HTML5 export?

oripessach

  • *
  • Posts: 259
Games using the dialog extension won't export to HTML5. The error (at least the one that ends up in the Stencyl UI) is:

Code: [Select]
/Users/oripessach/stencylworks/engine-extensions/com.polydes.dialog/src/dialog/core/G2.hx:45: characters 2-8 : Unknown identifier : canvas
I understand if fixing this is not a priority, or won't happen at all. What I was wondering about was just how involved it would be to fix this?


« Last Edit: October 11, 2015, 07:09:46 pm by Justin »

Justin

  • *
  • Posts: 4313
Jon told me about this a couple weeks ago, it slipped my mind.

I'll look into this now.

For Live Support: Join our discord server and ping me @justin.
I'm most often available between 8am and midnight Japan time. (GMT+9)

Justin

  • *
  • Posts: 4313
Fixed html5 issues, you can update the engine to 1.5.3 now.

For Live Support: Join our discord server and ping me @justin.
I'm most often available between 8am and midnight Japan time. (GMT+9)

oripessach

  • *
  • Posts: 259
Where is this fixed, exactly?

Justin

  • *
  • Posts: 4313
Get Extensions, scroll down to engine extensions, update dialog extension.

For Live Support: Join our discord server and ping me @justin.
I'm most often available between 8am and midnight Japan time. (GMT+9)

oripessach

  • *
  • Posts: 259
Ah.

Did it, got an exception, and now I get this error when compiling to HTML5:

/Users/oripessach/stencylworks/engine-extensions/com.polydes.dialog/src/dialog/core/Dialog.hx:13: characters 7-44 : Type not found : com.polydes.datastruct.DataStructures


Justin

  • *
  • Posts: 4313
That's a bug in the Extension Manager. I added a new dependency and it's not smart enough to enable it on-the-fly for a game where the extension is already installed. Will fix soon.

Go to Settings > Extensions and enable Data Structures to fix it manually.

For Live Support: Join our discord server and ping me @justin.
I'm most often available between 8am and midnight Japan time. (GMT+9)

Justin

  • *
  • Posts: 4313
Actually, it's also a problem with the extension dependencies. Updating the extensions now to fix it. If you don't have the data structures engine extension at all, you can grab it the same way you got the dialog engine extension updated.

For Live Support: Join our discord server and ping me @justin.
I'm most often available between 8am and midnight Japan time. (GMT+9)